Skip to main content

discovery-api

Retrieve a list of tasks available for the organization

Compute API

Version: 1.0.0

Retrieve a list of tasks available for the organization

Parameters

org_iduuid
Required

Filter the list of tasks by topic name. Use 'in' operator to pass multiple topic names. Example: '?topic=in:topic1,topic2'.

Filter the list of tasks by task name. Use 'in' operator to pass multiple task names. Example: '?name=in:task1,task2'.

Default: 100

Number of results to return.

Number of results to skip before returning limit number of results.

Default: true

If false, then 'parameters', 'results' and 'links' fields are excluded from the response.

Return the compute task that has this unique key (a UUID). Only supports a single key.

Returns

200

Successful Response

limitinteger
offsetinteger
totalinteger
countinteger

keyuuid
topicstring
namestring
display_namestring
versionstring
feature_flagstring
descriptionstring
parametersParameters
resultsResults

asyncstring
null

Endpoint

GET
/compute/orgs/{org_id}/tasks

Request

curl -X GET 'https://{service_host}/compute/orgs/{org_id}/tasks' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"limit": 0,
"offset": 0,
"total": 0,
"count": 0,
"results": [
{
"key": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"topic": "string",
"name": "string",
"display_name": "string",
"version": "string",
"feature_flag": "string",
"description": "string",
"parameters": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"results": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"links": {
"async": "string"
}
}
]
}

Was this page helpful?